/*!
 * @module browser-dtector
 * @description A Javascript library to detect browser, version and platform
 * @version 3.1.2
 * @link https://github.com/sibiraj-s/browser-dtector.git
 * @licence MIT License, https://opensource.org/licenses/MIT
 */
"use strict";function _classCallCheck(e,o){if(!(e instanceof o))throw new TypeError("Cannot call a class as a function")}function _defineProperties(e,o){for(var r=0;r<o.length;r++){var n=o[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}function _createClass(e,o,r){return o&&_defineProperties(e.prototype,o),r&&_defineProperties(e,r),e}var KnownBrowsers={chrome:"Google Chrome",brave:"Brave",crios:"Google Chrome",edge:"Microsoft Edge",edg:"Microsoft Edge",fennec:"Mozilla Firefox",jsdom:"JsDOM",mozilla:"Mozilla Firefox",msie:"Microsoft Internet Explorer",opera:"Opera",opios:"Opera",opr:"Opera",rv:"Microsoft Internet Explorer",safari:"Safari",samsungbrowser:"Samsung Browser"},KnownPlatforms={android:"Android",androidTablet:"Android Tablet",cros:"Chrome OS",fennec:"Android Tablet",ipad:"IPad",iphone:"IPhone",jsdom:"JsDOM",linux:"Linux",mac:"Macintosh",tablet:"Android Tablet",win:"Windows","windows phone":"Windows Phone",xbox:"Microsoft Xbox"},toFixed=function(e){var o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:-1,r=new RegExp("^-?\\d+(?:.\\d{0,".concat(o,"})?")),n=Number(e).toString().match(r);return n?n[0]:null},utils={toFixed:toFixed},version="3.1.2",getNavigator=function(){return"undefined"!=typeof window?window.navigator:null},BrowserDtector=function(){function e(o){var r;_classCallCheck(this,e),this.userAgent=o||(null===(r=getNavigator())||void 0===r?void 0:r.userAgent)||null}return _createClass(e,[{key:"parseUserAgent",value:function(e){var o,r,n,i={},a=e||this.userAgent||"",t=a.toLowerCase().replace(/\s\s+/g," "),s=/(edge)\/([\w.]+)/.exec(t)||/(edg)[/]([\w.]+)/.exec(t)||/(opr)[/]([\w.]+)/.exec(t)||/(jsdom)[/]([\w.]+)/.exec(t)||/(samsungbrowser)[/]([\w.]+)/.exec(t)||/(chrome)[/]([\w.]+)/.exec(t)||/(crios)[/]([\w.]+)/.exec(t)||/(opios)[/]([\w.]+)/.exec(t)||/(version)(applewebkit)[/]([\w.]+).*(safari)[/]([\w.]+)/.exec(t)||/(webkit)[/]([\w.]+).*(version)[/]([\w.]+).*(safari)[/]([\w.]+)/.exec(t)||/(applewebkit)[/]([\w.]+).*(safari)[/]([\w.]+)/.exec(t)||/(webkit)[/]([\w.]+)/.exec(t)||/(opera)(?:.*version|)[/]([\w.]+)/.exec(t)||/(msie) ([\w.]+)/.exec(t)||/(fennec)[/]([\w.]+)/.exec(t)||t.indexOf("trident")>=0&&/(rv)(?::| )([\w.]+)/.exec(t)||t.indexOf("compatible")<0&&/(mozilla)(?:.*? rv:([\w.]+)|)/.exec(t)||[],l=/(ipad)/.exec(t)||/(ipod)/.exec(t)||/(iphone)/.exec(t)||/(jsdom)/.exec(t)||/(windows phone)/.exec(t)||/(xbox)/.exec(t)||/(win)/.exec(t)||/(tablet)/.exec(t)||/(android)/.test(t)&&!1===/(mobile)/.test(t)&&["androidTablet"]||/(android)/.exec(t)||/(mac)/.exec(t)||/(linux)/.exec(t)||/(cros)/.exec(t)||[],c=s[5]||s[3]||s[1]||null,d=l[0]||null,u=s[4]||s[2]||null,w=getNavigator();"function"==typeof(null==w||null===(o=w.brave)||void 0===o?void 0:o.isBrave)&&(c="brave"),c&&(i[c]=!0),d&&(i[d]=!0);var x=Boolean(i.tablet||i.android||i.androidTablet),p=Boolean(i.ipad||i.tablet||i.androidTablet),f=Boolean(i.android||i.androidTablet||i.tablet||i.ipad||i.ipod||i.iphone||i["windows phone"]),v=Boolean(i.cros||i.mac||i.linux||i.win),b=Boolean(i.brave||i.chrome||i.crios||i.opr||i.safari||i.edg),m=Boolean(i.msie||i.rv);return{name:null!==(r=KnownBrowsers[c])&&void 0!==r?r:null,platform:null!==(n=KnownPlatforms[d])&&void 0!==n?n:null,userAgent:a,version:u,shortVersion:u?utils.toFixed(parseFloat(u),2):null,isAndroid:x,isTablet:p,isMobile:f,isDesktop:v,isWebkit:b,isIE:m}}},{key:"getBrowserInfo",value:function(){var e=this.parseUserAgent();return{name:e.name,platform:e.platform,userAgent:e.userAgent,version:e.version,shortVersion:e.shortVersion}}}],[{key:"VERSION",get:function(){return version}}]),e}();module.exports=BrowserDtector;
//# sourceMappingURL=browser-dtector.min.js.map
